Name:           perl-POE-Component-Server-SOAP
Version:        1.14
Release:        6%{?dist}
Summary:        Publish POE event handlers via SOAP over HTTP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-Server-SOAP/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AP/APOCAL/POE-Component-Server-SOAP-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(POE) >= 0.29
BuildRequires:  perl(POE::Component::Server::SimpleHTTP) >= 1.54
BuildRequires:  perl(SOAP::Lite) >= 0.55
BuildRequires:  perl(Test::More)

### auto-added brs!
BuildRequires:  perl(POE::Session)
BuildRequires:  perl(Carp)
BuildRequires:  perl(SOAP::Constants)

%description
This module makes serving SOAP/1.1 requests a breeze in POE.

%prep
%setup -q -n POE-Component-Server-SOAP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

# fix a non-UTF-8 issue....
cd blib/man3
iconv --from=ISO-8859-1 --to=UTF-8 POE::Component::Server::SOAP.3pm > new
mv new POE::Component::Server::SOAP.3pm


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes examples/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.14-5
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.14-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.14-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.14-1
- auto-update to 1.14 (by cpan-spec-update 0.01)
- added a new br on perl(POE::Session) (version 0)
- altered br on perl(POE::Component::Server::SimpleHTTP) (1.10 => 1.54)
- added a new br on perl(Carp) (version 0)
- added a new br on perl(SOAP::Constants) (version 0)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.13-1
- update to 1.13

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.11-3
Rebuild for new perl

* Thu Jan 10 2008 Ralf Corsépius <rc040203@freenet.de> 1.11-2
- Update License-tag.
- BR: perl(Test::More) (BZ 419631).

* Sat Jun 02 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.11-1
- update to 1.11
- add t/ to doc

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.10-1
- update to 1.10 -- which _finally_ includes a Changes file :)

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.09-3
- bump for mass rebuild

* Fri Aug 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.09-2
- bump

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.09-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
